@import url('https://fonts.googleapis.com/css2?family=Fira+Sans:wght@100;200;300;400;500;600;700;800;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Caveat:wght@500&family=Fira+Code:wght@300;400&family=Manrope:wght@200;300;400;500;600&family=Oxygen:wght@300&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,700;0,800;1,100;1,200;1,300;1,500;1,600;1,700;1,800;1,900&family=Signika+Negative:wght@300&family=Source+Code+Pro:wght@300&display=swap');

*{
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    font-family: 'Fira Code', sans-serif;
}
body{
    background-color: #f1f5f8;
    line-height: 1.5;
    font-size: 1.1rem;
}
.calc-wrapper{
    max-width: 900px;
    padding: 4rem 1rem;
    margin: 0 auto;
}
.calc-wrapper > div{
    background: #fff;
    padding: 1.5rem 2.5rem;
}
.calc-content{
    margin-bottom: 1.6rem;
}
.calc-content h2,
.result-content h2{
    font-size: 1.4rem;
    font-weight: 600;
    text-align: center;
    opacity: 0.8;
    text-transform: uppercase;
    letter-spacing: 2px;
    padding: 0.4rem 0;
    border-bottom: 1px solid rgba(0, 0, 0, 0.2);
}
#calc-form,
.payment-info{
    margin-top: 1.6rem;
}
.form-item{
    margin: 0.8rem 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.input-name span{
    background-color: rgb(92, 125, 245);
    display: block;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 800;
}
.input-name{
    display: flex;
    align-items: center;
}
.input-name label{
    padding-left: 0.8rem;
}
.input-control input{
    font-size: 1.1rem;
    border: 2px solid rgba(0, 0, 0, 0.3);
    padding: 0.4rem 0.6rem;
    border-radius: 5px;
}
.input-control input:focus{
    outline: navajowhite;
}
.input-control span{
    padding-right: 0.6rem;
    font-weight: 300;
    opacity: 0.7;
}
.btns{
    margin-top: 2rem;
}
.btns input{
    background-color: rgb(92, 125, 245);
    display: block;
    border: navy;
    margin: 1rem auto 0 auto;
    font-family: inherit;
    text-transform: uppercase;
    font-size: 1rem;
    color: #fff;
    padding: 0.8rem 0;
    width: 180px;
    border-radius: 5px;
    outline: 0;
    cursor: pointer;
}
.btns input:hover{
    opacity: 0.7;
    text-decoration:overline;
    background-color:rgb(8, 77, 156);
}
.payment-info{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    text-align: center;
    gap: 1rem;
}
.payment-info div{
    padding: 1rem 0;
    background: rgb(8, 77, 156);
    color: #fff;
}
.payment-info div h4{
    font-weight: 500;
    padding: 0.6rem 0;   
}
.payment-info div span{
    font-weight: 400;
    font-size: 1.75rem;
}

@media screen and (max-width: 992px) {
    .payment-info {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media screen and (max-width: 680px) {
    .form-item{
        flex-direction: column;
        align-items: flex-start;
    }
    .input-name{
        margin-bottom: 0.6rem;
    }
    .input-control span{
        display: block;
    }
}